Subject: [Fecframe] FW: upcoming changes in norm requirement in RFC 4756bis: FEC-FR MUST, FEC SHOULD

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Mon, 10 May 2010 15:41:34 -0700

If there are comments from fecframe, please post them to [email-masked].

The latest version is available here:
https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc4756bis/

-acbegen

-----Original Message-----
From: Jean-Francois Mule [mailto:[email-masked]] 
Sent: Monday, May 10, 2010 11:47 AM
To: [email-masked]
Cc: Ali C. Begen (abegen)
Subject: upcoming changes in norm requirement in RFC 4756bis: FEC-FR MUST, FEC SHOULD

All,

  The RFC 4756bis draft http://tools.ietf.org/html/draft-ietf-mmusic-rfc4756bis-08 obsoletes RFC 4756. 
It introduces new grouping semantics (FEC-FR).
It also recommends offering the FEC grouping semantics defined in RFC 4756 for backward compatibility reasons (section 4.5).

 Based on draft-08 and after a call with Ali, it seems that the intent is to still recommend supporting the FEC grouping defined in RFC 4756.  Therefore, the plan is to:
a) show that FEC is deprecated by updating the IANA registry
b) have this in an upcoming new draft (along with some other clarifications):
   This document defines the FEC grouping semantics and obsoletes
   [RFC4756].  Implementations compliant with this document MUST use the 
   semantics introduced in this document.
   In addition, implementations are RECOMMENDED to support the "FEC"
   semantics for backward compatibility reasons.

This makes the text clearer.  Ali and I believe this is what the text meant but I just wanted to run this by the WG.

Do we have WG consensus on the approach and new text above?

Thank you,
Jean-Francois
MMUSIC WG co-chair